#! /usr/dist/local/exe/bash
#
# Copyright 2003 Sun Microsystems, Inc. All Rights Reserved.
#
# @(#)component_lib.ksh	1.1 03/02/28
#

#---------------------------------------
# Define Component Level Variables
#---------------------------------------

# The order of these packages reflect the dependencies between the packages
# If you change the order, verify the changes by reviewing the contents of 
# the package dependency files.

#jw Removed all of the SMICC packages, because they are the responsibiliey
#jw of the SMICC setup script.
CL_PACKAGES="SUNWmcon SUNWmcosx SUNWmconr SUNWmctag SUNWjato SUNWmcos"
CL_L10N_PACKAGES="SUNWcmcon SUNWfmcon SUNWjmcon"
CL_NAME="SMICC"
CL_PKG_PATH=$COMPONENT_DIR/../Packages 

export CL_PACKAGES CL_PKG_PATH CL_NAME CL_VERSION

#---------------------------------------
# Debugging Functions

cl_debug () {
    el_secho 1 $ESM_LOG n "Component Environment Variables:"
    el_secho 1 $ESM_LOG n "    CL_PACKAGES   |$CL_PACKAGES|"
    el_secho 1 $ESM_LOG n "    CL_NAME       |$CL_NAME|"
    el_secho 1 $ESM_LOG n "    CL_VERSION    |$CL_VERSION|"
    el_secho 1 $ESM_LOG n "    CL_PKG_PATH   |$CL_PKG_PATH|"
    el_secho 1 $ESM_LOG n " "
}
